Index: svn/src/Kconfig
===================================================================
--- svn.orig/src/Kconfig
+++ svn/src/Kconfig
@@ -177,7 +177,7 @@ config HAVE_HARD_RESET
 
 config HAVE_INIT_TIMER
 	bool
-	default n
+	default y
 
 config HAVE_MAINBOARD_RESOURCES
 	bool
Index: svn/src/mainboard/digitallogic/adl855pc/Kconfig
===================================================================
--- svn.orig/src/mainboard/digitallogic/adl855pc/Kconfig
+++ svn/src/mainboard/digitallogic/adl855pc/Kconfig
@@ -23,3 +23,8 @@ config IRQ_SLOT_COUNT
 	int
 	default 5
 	depends on BOARD_DIGITALLOGIC_ADL855PC
+
+config HAVE_INIT_TIMER
+	bool
+	default n
+	depends on BOARD_DIGITALLOGIC_ADL855PC
Index: svn/src/mainboard/digitallogic/msm586seg/Kconfig
===================================================================
--- svn.orig/src/mainboard/digitallogic/msm586seg/Kconfig
+++ svn/src/mainboard/digitallogic/msm586seg/Kconfig
@@ -20,3 +20,7 @@ config IRQ_SLOT_COUNT
 	default 2
 	depends on BOARD_DIGITALLOGIC_MSM586SEG
 
+config HAVE_INIT_TIMER
+	bool
+	default n
+	depends on BOARD_DIGITALLOGIC_MSM586SEG
Index: svn/src/mainboard/emulation/qemu-x86/Kconfig
===================================================================
--- svn.orig/src/mainboard/emulation/qemu-x86/Kconfig
+++ svn/src/mainboard/emulation/qemu-x86/Kconfig
@@ -21,3 +21,8 @@ config IRQ_SLOT_COUNT
 	int
 	default 6
 	depends on BOARD_EMULATION_QEMU_X86
+
+config HAVE_INIT_TIMER
+	bool
+	default n
+	depends on BOARD_EMULATION_QEMU_X86
Index: svn/src/cpu/amd/model_10xxx/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/model_10xxx/Kconfig
+++ svn/src/cpu/amd/model_10xxx/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_MODEL_10XXX
 	bool
-	select HAVE_INIT_TIMER
 	select HAVE_MOVNTI
 	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
Index: svn/src/cpu/amd/model_fxx/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/Kconfig
+++ svn/src/cpu/amd/model_fxx/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_MODEL_FXX
 	bool
-	select HAVE_INIT_TIMER
 	select HAVE_MOVNTI
 	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
